Option Explicit On
Option Strict On

imports Homer
imports System
imports System.ComponentModel
imports System.Drawing
imports System.Windows.Forms

Class Dialog
Inherits LbcForm 

public Sub OnEvent(sEvent As String, oSender As Control, oArgs As EventArgs)
Select Case sEvent
Case "Closing" 
If Lbc.DialogConfirm("Confirm", "Exit program?", "Y") <> "Y" Then CType(oArgs, CancelEventArgs).Cancel = True
Case "Click" 
Dim txt As TextBox = CType(me.Names("TextBox_Fruit"), TextBox)
Dim lst As ListBox = CType(me.Names("ListBox_Basket"), ListBox)
Select Case oSender.Name
Case "Button_Add" 
Dim sFruit As String = txt.Text
If sFruit.Length = 0 Then 
Lbc.DialogShow("Alert", "No fruit to add!")
Else
lst.Items.Add(sFruit)
Dim iIndex As Integer = lst.Items.Count - 1
lst.SelectedIndex = iIndex
txt.Clear()
End If
Case "Button_Delete" 
Dim iIndex As Integer = lst.SelectedIndex
If iIndex = -1 Then
Lbc.DialogShow("Alert", "No fruit to delete!")
Else
lst.Items.RemoveAt(iIndex)
Dim iCount As Integer = lst.Items.Count
If iCount = 0 Then Return
If iIndex = iCount Then iIndex -= 1
 lst.SelectedIndex = iIndex
End If
End Select
End Select
End Sub ' OnEvent method

Shared Sub Main() 
Dim dlg As Dialog = New Dialog()
End Sub ' Main method

Sub New() 
me.Init("Fruit Basket", Nothing, Nothing)
me.AddInputBox("Fruit", Nothing)
me.AcceptButton = me.AddButton("Add")
me.AddBand()
me.AddPickBox("Basket", Nothing, Nothing, Nothing)
me.AddButton("Delete")
me.CompleteDialog(new Button(), Nothing)
End Sub ' New method
End Class ' Dialog class
