using Homer;
using System;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

class Dialog: LbcForm {
public void OnEvent(string sEvent, Control oSender, EventArgs oArgs) {
switch (sEvent) {
case "Closing" :
if (Lbc.DialogConfirm("Confirm", "Exit program?", "Y") != "Y") ((CancelEventArgs) oArgs).Cancel = true;
break;
case "Click" :
TextBox txt = (TextBox) this.Names["TextBox_Fruit"];
ListBox lst = (ListBox) this.Names["ListBox_Basket"];
switch (oSender.Name) {
case "Button_Add" :
int iIndex, iCount;
string sFruit;
sFruit = txt.Text;
if (sFruit.Length == 0) Lbc.DialogShow("Alert", "No fruit to add!");
else {
lst.Items.Add(sFruit);
iIndex = lst.Items.Count - 1;
lst.SelectedIndex = iIndex;
txt.Clear();
}
break;
case "Button_Delete" :
iIndex = lst.SelectedIndex;
if (iIndex == -1) Lbc.DialogShow("Alert", "No fruit to delete!");
else {
lst.Items.RemoveAt(iIndex);
iCount = lst.Items.Count;
if (iCount == 0) return;
if (iIndex == iCount) iIndex --;
 lst.SelectedIndex = iIndex;
}
break;
}
break;
}
} // OnEvent method;

static void Main() {
new Dialog();
} // Main method

Dialog() {
this.Init("Fruit Basket", null, null);
this.AddInputBox("Fruit", null);
this.AcceptButton = this.AddButton("Add");
this.AddBand();
this.AddPickBox("Basket", null, null, null);
this.AddButton("Delete");
this.CompleteDialog(new Button[0], null);
} // Main method
} // Dialog class
