sUrl = 'http://microsoft.com'
Lbc.DialogShow('Task', 'Get content type of front page of microsoft.com')
sText = Jax.WebUrlContentType(sUrl)
Lbc.DialogShow('Result', sText)

Lbc.DialogShow('Task', 'Check whether content type of front page of microsoft.com is HTML')
if (Jax.WebUrlIsHtml(sUrl)) {
sText = 'True'}
else {
sText = 'False'
}
Lbc.DialogShow('Result', sText)

Lbc.DialogShow('Task', 'Get source HTML of front page of microsoft.com')
sText = Jax.WebUrlToString(sUrl)
Lbc.DialogShow('Result', sText)

Lbc.DialogShow('Task', 'Get plain text of front page of microsoft.com')
sText = Jax.HtmlGetText(sUrl)
Lbc.DialogShow('Result', sText)

Lbc.DialogShow('Task', 'Get list of URLs and linked text from front page of microsoft.com')
lLinks = Jax.HtmlGetLinks(sUrl)
sText = ''
for (i = 0; i <lLinks.Count; i++) {
lLink = lLinks(i)
sText += lLink(0) + ' = ' + lLink(1) + '\r\n'
}
Lbc.DialogShow('Result', sText)

Lbc.DialogShow('Task', 'Save front page of microsoft.com to temporary file')
sFile = Jax.PathGetTempFile()
bResult = Jax.WebUrlToFile(sUrl, sFile)
sText = 'Failed to save to file' + '\r\n' + sFile
if (bResult) {
sText = 'Saved to' + '\r\n' + sFile + '\r\n' + 'About to delete this temporary file'
}
Lbc.DialogShow('Result', sText)
Jax.FileDelete(sFile)

Lbc.DialogShow('Task', "Translate 'Hello world' to Italian via Google API")
sUrl = 'http://ajax.googleapis.com/ajax/services/language/translate'
dData = Jax.JsToVt("{'q' : 'Hello world', 'v' : '1.0', 'langpair' : 'en|it'}")
dHeaders = Jax.JsToVt("{'Referer' : 'http://EmpowermentZone.com'}")
sJs = Jax.WebRequestPostToString(sUrl, dData, dHeaders, null, null)
vData = Jax.JsToVt(sJs)
dData = vData.Item('responseData')
sText = dData.Item('translatedText')
Lbc.DialogShow('Result', sText)

Lbc.DialogShow('Task', 'Read recent items from RSS feed of AccessibleWorld.org')
sUrl = 'http://accessibleworld.org/rss.xml'
oDoc = Jax.WebUrlToXml(sUrl)
oNodes = Jax.XmlGetNodes(oDoc, '*/item')
sText = ''
for (i = 0; i < oNodes.Count; i++) {
oNode = oNodes.Item(i)
s = Jax.XmlGetText(oNode, 'title')
sText = sText + s + '\n'
}
Lbc.DialogShow('Result', sText)

Lbc.DialogShow('Task', 'Get a list of MP3 files linked to the front page of AccessibleWorld.org')
sUrl = 'http://accessibleworld.org'
lUrls = Jax.HtmlGetUrls(sUrl)
sMatch = '\\.mp3$'
lUrls = Jax.VtListFilterByRegExp(lUrls, sMatch)
s = Jax.StringPlural('file', lUrls.Count)
sText = 'This list of ' + s + ' could be downloaded with a single method\n\n'
s = Jax.VtListToString(lUrls, '\n')
sText = sText + s
Lbc.DialogShow('Result', sText)

Lbc.DialogShow('Task', 'Get last 20 tweets from public timeline of twitter.com')
sUrl = 'http://twitter.com/statuses/public_timeline.json'
sJs = Jax.WebUrlToString(sUrl)
lTweets = Jax.JsToVt(sJs)
sText = ''
for (i = 0; i < lTweets.Count; i++) {
dTweet = lTweets(i)
o = dTweet('user')
s = o('screen_name')
sText = sText + s
s = dTweet('text')
sText = sText + ': ' + s + '\r\n'
}
Lbc.DialogShow('Result', sText)

Lbc.DialogShow('Task', 'Post a tweet' + '\r\n' + 'Please note that password is to be input via a standard edit box, which is not hidden to observers in the same room')
sUrl = 'http://twitter.com/statuses/update.xml'
sUser = Lbc.DialogInput('Input', 'User name', '')
if (sUser) {
sPassword = Lbc.DialogInput('Input', 'Password', '')
if (sPassword) {
sMessage = Lbc.DialogInput('Input', 'Tweet message', '')
if (sMessage) {
dData = Jax.VtCreateDictionary()
dData.Add('status', sMessage)
sXml = Jax.WebRequestPostToString(sUrl, dData, null, sUser, sPassword)
oDoc = Jax.VtInitXmlDocument(sXml)
sText = Jax.XmlGetValue(oDoc, 'error', '')
if (sText) {
Lbc.DialogShow('Task', 'Result\n' + 'Failed to post tweet, error' + '\r\n' + sText)
}
else {
s = Jax.XmlGetValue(oDoc, 'user/screen_name', '')
sText = sText + s
s = Jax.XmlGetValue(oDoc, 'text', '')
sText = sText + ': ' + s
Lbc.DialogShow('Task', 'Result\n' + 'Posted tweet' + '\r\n' + sText)
}
}
}
}

Lbc.DialogShow('Task', 'HomerJax demo is done\n')
dTweet = null
lTweets = null
lLink = null
lLinks = null
Jax = null
